﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hermes
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private CitoyenModal citoyenModal = new CitoyenModal();
        private SearchModal searchModal = new SearchModal();

        public MainWindow()
        {
            InitializeComponent();
            List<Citoyen> citoyens = new List<Citoyen>();
            citoyens.Add(new Citoyen(0, "Dupont", "Jean", new DateTime(1994, 3, 24), "14 rue de la République, Lyon", "Jardinier", 0, "jean.dupont@test.fr", "04 00 00 00 00"));
            dgCitoyens.ItemsSource = citoyens;
        }

        private void Ajouter_Click(object sender, RoutedEventArgs e)
        {
            citoyenModal.ShowDialog();
        }

        private void Rechercher_Click(object sender, RoutedEventArgs e)
        {
            searchModal.ShowDialog();
        }

        protected override void OnClosed(EventArgs e)
        {
            base.OnClosed(e);
            Application.Current.Shutdown();
        }
    }
}
